## $Id: theming.py 10120 2013-04-30 06:33:55Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
import grok
from waeup.kofa.browser.interfaces import ITheme
from waeup.aaua.browser.resources import custom_theme, favicon

from waeup.aaua.interfaces import MessageFactory as _

class CustomTheme(grok.GlobalUtility):
    """A custom theme based on the Kofa base theme.
    """
    grok.implements(ITheme)
    grok.name('custom theme')

    description = _(u'AAUA Theme')

    def getResources(self):
        return [custom_theme, favicon]
